[**Headlamp Sealed Secrets API v0.2.0**](../../../README.md)

***

[Headlamp Sealed Secrets API](../../../README.md) / [lib/validators](../README.md) / validatePEMCertificate

# Function: validatePEMCertificate()

> **validatePEMCertificate**(`pem`): [`ValidationResult`](../interfaces/ValidationResult.md)

Defined in: [src/lib/validators.ts:212](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/lib/validators.ts#L212)

Validate PEM certificate with detailed error message

## Parameters

### pem

`string`

PEM certificate to validate

## Returns

[`ValidationResult`](../interfaces/ValidationResult.md)

Validation result with error message if invalid
